Create or update a patient profile
curl --request POST \
--url https://cds.marmar.life/v1/patients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": null,
"demographics": null,
"reproductiveStatus": null,
"hormonalTherapies": null
}
'import requests
url = "https://cds.marmar.life/v1/patients"
payload = {
"patientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": None,
"demographics": None,
"reproductiveStatus": None,
"hormonalTherapies": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
externalId: null,
demographics: null,
reproductiveStatus: null,
hormonalTherapies: null
})
};
fetch('https://cds.marmar.life/v1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"patientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": true
}{
"patientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": true
}{
"message": "<string>"
}Patients
Create or update a patient profile
POST
/
v1
/
patients
Create or update a patient profile
Authorizations
API key obtained from the Tenant Dashboard. Use as Authorization: Bearer YOUR_API_KEY
Body
application/json
- Option 1
- Option 2
Optional external identifier supplied by the tenant.
Example:
null
Show child attributes
Show child attributes
Example:
null
Available options:
REGULAR_CYCLE, PREGNANT, BREASTFEEDING, PERIMENOPAUSE, POSTMENOPAUSAL, PLANNING_PREGNANCY, UNKNOWN Example:
null
Show child attributes
Show child attributes
Example:
null
⌘I